delegatorHistory
Query a user's staking history (delegations, deposits, withdrawals).
POST Request
Field
Type
Description
curl -X POST https://api.hydromancer.xyz/info \
-H "Authorization: Bearer $HYDROMANCER_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"type": "delegatorHistory",
"user": "0x5aeb1821f596d2d9ffe182d3f914b274a80511cc"
}'import requests
import os
response = requests.post(
'https://api.hydromancer.xyz/info',
json={
'type': 'delegatorHistory',
'user': '0x5aeb1821f596d2d9ffe182d3f914b274a80511cc'
},
headers={
'Authorization': f'Bearer {os.environ.get("HYDROMANCER_API_KEY")}',
'Content-Type': 'application/json'
}
)
print(response.json())Response
Delta types
delegate — Delegation or undelegation
delegate — Delegation or undelegationField
Type
Description
cDeposit — Staking deposit
cDeposit — Staking depositField
Type
Description
withdrawal — Staking withdrawal
withdrawal — Staking withdrawalField
Type
Description
Common fields
Field
Type
Description
Last updated